
module "multi-zone-infrastructure-with-ots" {
  source = "terraform-aws-modules/multi-zone-infrastructure-with-ots/aws"
  version = "1.1.0"
  availability_zones = var.availability_zones
  create_eip = var.create_eip
  create_nat = var.create_nat
  create_ots_instance = var.create_ots_instance
  create_ots_table = var.create_ots_table
  create_rds_account = var.create_rds_account
  create_rds_database = var.create_rds_database
  create_rds_instance = var.create_rds_instance
  create_security_group = var.create_security_group
  create_slb = var.create_slb
  create_vpc = var.create_vpc
  default_egress_priority = var.default_egress_priority
  default_ingress_priority = var.default_ingress_priority
  ecs_credit_specification = var.ecs_credit_specification
  ecs_data_disks = var.ecs_data_disks
  ecs_deletion_protection = var.ecs_deletion_protection
  ecs_host_name = var.ecs_host_name
  ecs_image_id = var.ecs_image_id
  ecs_instance_charge_type = var.ecs_instance_charge_type
  ecs_instance_name = var.ecs_instance_name
  ecs_instance_type = var.ecs_instance_type
  ecs_key_name = var.ecs_key_name
  ecs_password = var.ecs_password
  ecs_role_name = var.ecs_role_name
  ecs_security_enhancement_strategy = var.ecs_security_enhancement_strategy
  ecs_spot_price_limit = var.ecs_spot_price_limit
  ecs_spot_strategy = var.ecs_spot_strategy
  ecs_subscription = var.ecs_subscription
  ecs_system_disk_category = var.ecs_system_disk_category
  ecs_system_disk_size = var.ecs_system_disk_size
  ecs_tags = var.ecs_tags
  ecs_user_data = var.ecs_user_data
  ecs_volume_tags = var.ecs_volume_tags
  egress_cidr_blocks = var.egress_cidr_blocks
  egress_ports = var.egress_ports
  egress_rules = var.egress_rules
  egress_with_cidr_blocks = var.egress_with_cidr_blocks
  egress_with_cidr_blocks_and_ports = var.egress_with_cidr_blocks_and_ports
  egress_with_source_security_group_id = var.egress_with_source_security_group_id
  eip_bandwidth = var.eip_bandwidth
  eip_instance_charge_type = var.eip_instance_charge_type
  eip_internet_charge_type = var.eip_internet_charge_type
  eip_name = var.eip_name
  eip_period = var.eip_period
  eip_tags = var.eip_tags
  existing_vpc_id = var.existing_vpc_id
  ingress_cidr_blocks = var.ingress_cidr_blocks
  ingress_ports = var.ingress_ports
  ingress_rules = var.ingress_rules
  ingress_with_cidr_blocks = var.ingress_with_cidr_blocks
  ingress_with_cidr_blocks_and_ports = var.ingress_with_cidr_blocks_and_ports
  ingress_with_source_security_group_id = var.ingress_with_source_security_group_id
  nat_instance_charge_type = var.nat_instance_charge_type
  nat_name = var.nat_name
  nat_period = var.nat_period
  nat_specification = var.nat_specification
  number_of_eip = var.number_of_eip
  number_of_zone_a_instances = var.number_of_zone_a_instances
  number_of_zone_b_instances = var.number_of_zone_b_instances
  ots_accessed_by = var.ots_accessed_by
  ots_instance_bind_vpc = var.ots_instance_bind_vpc
  ots_instance_name = var.ots_instance_name
  ots_instance_type = var.ots_instance_type
  ots_table_max_version = var.ots_table_max_version
  ots_table_name = var.ots_table_name
  ots_table_primary_key = var.ots_table_primary_key
  ots_table_time_to_live = var.ots_table_time_to_live
  ots_tags = var.ots_tags
  priority_for_egress_rules = var.priority_for_egress_rules
  priority_for_ingress_rules = var.priority_for_ingress_rules
  profile = var.profile
  rds_account_name = var.rds_account_name
  rds_account_privilege = var.rds_account_privilege
  rds_account_type = var.rds_account_type
  rds_allocate_public_connection = var.rds_allocate_public_connection
  rds_backup_retention_period = var.rds_backup_retention_period
  rds_connection_port = var.rds_connection_port
  rds_connection_prefix = var.rds_connection_prefix
  rds_databases = var.rds_databases
  rds_enable_backup_log = var.rds_enable_backup_log
  rds_engine = var.rds_engine
  rds_engine_version = var.rds_engine_version
  rds_instance_charge_type = var.rds_instance_charge_type
  rds_instance_name = var.rds_instance_name
  rds_instance_storage = var.rds_instance_storage
  rds_instance_type = var.rds_instance_type
  rds_log_backup_retention_period = var.rds_log_backup_retention_period
  rds_password = var.rds_password
  rds_period = var.rds_period
  rds_preferred_backup_period = var.rds_preferred_backup_period
  rds_preferred_backup_time = var.rds_preferred_backup_time
  rds_security_group_ids = var.rds_security_group_ids
  rds_security_ips = var.rds_security_ips
  rds_tags = var.rds_tags
  region = var.region
  resource_group_id = var.resource_group_id
  security_group_name = var.security_group_name
  security_group_tags = var.security_group_tags
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  slb_bandwidth = var.slb_bandwidth
  slb_internet_charge_type = var.slb_internet_charge_type
  slb_name = var.slb_name
  slb_spec = var.slb_spec
  slb_tags = var.slb_tags
  tags = var.tags
  use_existing_vpc = var.use_existing_vpc
  vpc_cidr = var.vpc_cidr
  vpc_name = var.vpc_name
  vpc_tags = var.vpc_tags
  vswitch_cidrs = var.vswitch_cidrs
  vswitch_name = var.vswitch_name
  vswitch_tags = var.vswitch_tags
}
